Start

SonarXP

Post Processing software

for SonarLite & SonarMite

Echo Sounders


Software Registration

All Ohmex software has a "soft" registration procedure built in, this means that the software will start from first installation with a timed version that will repeatedly remind the user to register with a 'nag' dialog box.

To register the software first the user needs to go to the Help/About menu function ...

  1. From the dialog box make a note of the software KEY number

  2. Log on to the website at www.ohmex.com/registration.htm

  3. Enter the key number on the registration page

  4. Complete the (*) required registration fields

  5. Press the 'REGISTER' button on the web page

  6. The website will respond by emailing registration to Ohmex

  7. The web page will be updated with the user REGISTRATION number

  8. Enter the number on the Aboutbox and press the 'Register' button

  9. To check the registration look at the Aboutbox for 'Registered' status.


Using SonarXP software

Using the SonarXP Software

The SonarXP software is designed to perform the following functions &ldots;

  • Connect and Download depths/tide/positions/times from SonarLite/SonarMite/TidaLite

  • Import Positions/time from data files

  • Import Tide Height/Time from data files (if required)

  • Allow visual editing and Colour printing of the data

  • Cross interpolate Position/Depth and Tide data by time

  • Export the processed data to a usable file format.

The relationship between the output Z value and the Position Z value, Tide height and depth is as follows &ldots;.

Zout = Zin + Tide - Depth

By default values not imported are set to zero so typically the user would download depth values from the SonarLite then Import XYZ data but no Tide. The imported Z value would be assumed to have been corrected for any offset to the depth transducer.

Similarly the user may download depths from the SonarLite then XY positions from a DGPS data file (z values would all be 0.0) and finally Tide heights. The depths (or Tide Values) would be assumed to have been corrected for any offset between tide and the depth transducer.

Example with Depths only

Example with Depths and Positions loaded

Example with Depths,Positions and Tide loaded

Notes &ldots;

The user should take great care with making sure the data is all in the same temporal range as time is the basis of all interpolation and is potentially the largest source of error.

The data point coding indicates which values are actual and which ones are interpolated &ldots;

  • D = Depth ( so Tide and Position are interpolated)

  • P = Position (so Tide and Depth are interpolated)

  • T = Tide ( so Position and Depth are interpolated)

  • E = Event( so Position, Tide and Depth are interpolated)

The user could also use the Tide data to apply complex offsets to the data.


Software Support

The SonarXP user has several options open to them for support if they have registered the purchase and use of their package with L.M.Technical Services Ltd. using the form provided with the software. The user should ensure they have available the following information before contacting the support service &ldots;

  • Their registration details.

  • The version number and date of their Software (in about boxes).

  • The version number and date of their operating system.

  • Details of the problem with data examples where possible.

Support where ever practical is given free of charge to registered end users of the software on the following conditions &ldots;.

  • The user has registered the package using the form provided.

  • The package is the current version of the software.

  • The package does not pre-date the operating system.

  • There is no outstanding dispute between the user and supplier.

  • The problem is resolvable by LMTS and does not involve a third party.

Option 1 - WEB SITE - Check update information using the LMTS Website , check for version changes, updates and important bug fix notifications before sending a communication from within the SonarLite support pages &ldots;.

The web site address is www.ohmex.com and can be located using a standard web browser program. To download data files the users browser must be compatible with and support the Microsoft Internet Explorer file recognition facilities.

Option 2 - TELEPHONE - Use telephone support during normal UK business hours from L.M.Technical Services &ldots;

L.M.Technical Services Ltd :- +44 (0)1590 681584

Option 3 - FAX - Use the fax service outside normal UK business hours from L.M.Technical Services on the following telephone number &ldots;

L.M.Technical Services Ltd :- +44 (0)1590 681902

Option 4 - EMAIL - Use email service outside normal UK business hours from L.M.Technical Services, particularly if the query involves attached data files and drawings. LMTS service can read UUencoded or MIME encoded email with embedded files.

support@ohmex.com

Option 5 - POSTAL - Use postal service for overseas queries where electronic communication is not possible or large amounts of data or drawings are involved in the query or an update is required (include original disk).


SonarXP Help Index

General ...

Using SonarXP

The SonarXP screen layout

Software support

Licence Agreement

SonarLite ...

Connect/Download

Import Data

Edit Data

Export Data

File Formats

Connecting to GPS

Commands

File menu

Edit menu

View menu

SonarLite menu

Help menu


License agreement

 LM Technical Services LICENSE AGREEMENT

HIS LEGAL DOCUMENT IS AN AGREEMENT BETWEEN YOU, THE END USER, AND LM TECHNICAL SERVICES LTD. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT, WHICH INCLUDES THE SOFTWARE LICENCE, LIMITED WARRANTY AND ACKNOWLEDGMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT YOU SHOULD PROMPTLY RETURN THE DISKETTES AND OTHER ITEMS (INCLUDING WRITTEN MATERIALS, BINDERS OR OTHER CONTAINERS, AND HARDWARE, IF ANY) WHICH ARE PART OF THIS PRODUCT TO THE PLACE WHERE YOU OBTAINED THEM FOR A FULL REFUND. In order to preserve and protect its rights under applicable laws, LM Technical Services does not sell any rights in its software. Rather, LM Technical Services grants the right to use its software by means of a SOFTWARE LICENCE. LM Technical Services specifically retains title to all LM Technical Services computer software.

GRANT OF LICENCE. In consideration of payment of the LICENCE fee which is part of the price you paid for this product, and your agreement to abide by the terms and conditions of this license and the Limited Warranty, LM Technical Services, as Licenser, grants to you, the LICENSEE, non-exclusive right to use and display this copy of an LM Technical Services software program (hereinafter called the "SOFTWARE") on a single computer (ie with a single CPU) at a single location so long as you comply with the terms of this license. If you plan to operate the software on a network, please contact LM Technical Services Ltd to request a site license. LM Technical Services reserves all rights not expressly granted to LICENSEE.

OWNERSHIP OF SOFTWARE. As the LICENSEE, you own the magnetic or other physical media on which the SOFTWARE is originally or subsequently recorded or fixed, but express condition of this license is that LM Technical Services retains title and ownership of the SOFTWARE recorded on the original disk copy(ies) and all subsequent copies of the SOFTWARE, regardless of the form or media in or on which the original and other copies may exist . This license is not a sale of the original SOFTWARE or any copy.

COPY RESTRICTIONS. This SOFTWARE and the accompanying written materials are the subject of copyright. Unauthorized copying of the SOFTWARE, including SOFTWARE which has been modified, merged, or included with other software, or of the written materials is expressly forbidden. You may be held legally responsible for any copyright infringement which caused or encouraged by your failure to abide by the terms of this license.

Subject to the restrictions above, and if the SOFTWARE is not copy-protected, you may make one (1) copy of the SOFTWARE solely for backup purposes. You must reproduce and include the copyright notice on the backup copy.

USE RESTRICTIONS. As the LICENSEE, you may physically transfer the SOFTWARE from one computer to another provided that the SOFTWARE is used on only one computer at a time. You may not electronically transfer the SOFTWARE from one computer to another over a network. You may not distribute copies of the SOFTWARE or accompanying written materials to others. You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the SOFTWARE. You may modify, adapt, translate or create derivative works based on the materials without the prior written consent of LM Technical Services.

TRANSFER RESTRICTIONS. This SOFTWARE is licensed only to you, the LICENSEE, and may not be transferred to anyone without prior written consent of LM Technical Services. Any authorized transferee of the SOFTWARE shall be bound by the terms and conditions of this License and Limited Warranty. In no event may you transfer, assign, rent, lease, sell or otherwise dispose of the SOFTWARE on a temporary or permanent basis except as expressly provided herein.

TERMINATION. This license is effective until terminated. This license will terminate automatically without notice from LM Technical Services if you fail to comply with any provision of this license. Upon termination you shall destroy the written materials and all copies of the SOFTWARE, including modified copies, if any.

UPDATE POLICY. LM Technical Services creates from time to time updated versions of the SOFTWARE. At its option, LM Technical Services will make such updates available to LICENSEE and transferees who have paid the update fee and returned the registration card to LM Technical Services.

MISCELLANEOUS. This license shall be governed and construed in accordance with the laws of England and shall benefit LM Technical Services, its successors and assigns.

LIMITED WARRANTY AND DISCLAIMER OF WARRANTY - THE SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS (INCLUDING INSTRUCTIONS FOR USE) ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. FURTHER, LM TECHNICAL SERVICES DOES NOT WARRANT, GUARANTEE OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF USE, OF THE SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE, THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. IF THE SOFTWARE OR WRITTEN MATERIALS ARE DEFECTIVE YOU, AND NOT LM TECHNICAL SERVICES OR ITS DEALERS, DISTRIBUTORS, AGENTS, OR EMPLOYEES, ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

THE ABOVE IS THE ONLY WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, THAT IS MADE BY LM TECHNICAL SERVICES ON THIS LM TECHNICAL SERVICES PRODUCT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY LM TECHNICAL SERVICES, ITS DEALERS, DISTRIBUTORS, AGENTS OR EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY AND YOU MAY NOT RELY ON SUCH INFORMATION ADVICE. YOU MAY HAVE OTHER RIGHTS WHICH VARY FROM COUNTRY TO COUNTRY, THIS WARRANTY SHALL ONLY BE EFFECTIVE IF THE REGISTRATION CARD IS SIGNED BY THE LICENSEE AND RETURNED TO LM TECHNICAL SERVICES.

NEITHER LM TECHNICAL SERVICES NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, AND THE LIKE) ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF LM TECHNICAL SERVICES HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

ACKNOWLEDGMENT - YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENCE AND LIMITED WARRANTY, UNDERSTAND THEM, AND AGREE TO BE BOUND BY THEIR TERMS AND CONDITIONS. YOU ALSO AGREE THAT THE LICENSE AND LIMITED WARRANTY ARE THE COMPLETE AND EXCLUSIVE STATEMENT OF AGREEMENT BETWEEN THE PARTIES AND SUPERSEDE ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THE LICENSE OR THE LIMITED WARRANTY.


File menu commands

The File menu offers the following commands:

New | Creates a new document.
Open | Opens an existing document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Import Geotronics | Import position information in Geotronics format file
Import NMEA | Import GPS position information in NMEA format.
Import SonarMite | Import GPS, Depth and HPR data collected using the Ohmex SonarMite instrument.
Import Tide | Import Tide height information.
Import ASCII | Import various user specific ASCII file types.
Export Geotronics | Export processed data in Geotronics ARE format
Export ASCII | Export processed data in fixed ASCII text format
Export DXF | Export processed data as layered DXF format file
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
Exit | Exits Sonar2000.


Edit Menu

Edit menu commands

The Edit menu offers the following commands:

Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.
Restore | Restore all deselected points and reset timeframe to all data.
Offsets | Apply offsets to any parameters and time.
Add Trans | Add a transformation point for GPS data.
Edit Trans | Edit transformation points for GPS data.
Apply Trans | Apply a transformation for GPS data from control points provided.
Self Test | Apply transform to control points as a self test
Convert to UTM | Convert Lat/Long to UTM coordinates.
HPR Report | Output a report in csv (spreadsheet) format of Heave, Pitch and roll values, only available from SonarMite downloaded data.
Properties | Edit SonarLite or View properties


View Menu

View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Pan Down | Pan the display down.
Pan Left | Pan the display left.
Pan Right | Pan the display right.
Pan Up | Pan the display up.
Zoom Out | Zoom the display out by 50%.
Zoom Extents | Zoom the display to data extents.
DragMode View | Set the dragbox to set the view
DragMode Select | Set the dragbox to set the points to delete
DragMode Deselect | Set the dragbox to set the points to undelete
DragMode Enquire | Set the dragbox to set the points to enquire/edit
DragMode PatchTest | Set the dragbox to include points for patchtest calculation
DragMode TimeFrame | Set the dragbox to set the left and right time limits of data
Animate | The animate function enable the user to automatically step through the data and simulate data collection sequence.


SonarLite Menu

SonarLite menu commands

The View menu offers the following commands:

Connect | Connect to the SonarLite via serial port
Download | Download SonarLite data to program memory
Information | Display Sonarlite information in the terminal display
Blank Screen | Blank the terminal display area
Command Help | Show SonarLite Command Help in the terminal display
KillData | Kill any data on SonarLite and reset memory to zero
SetTime | Set SonarLite time to the PC time
System Reset | Reset the SonarLite to the system default settings


Help Menu

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


Importing Data

The SonarXP Software is concerned with the following data types &ldots;

DEPTH Normally obtained from downloading the SonarLite or derived from imported data files such as Geotronics ARE format or from NMEA data with DPT sentences.

XYZ POSITION Coordinate data normally obtained from a Total Station as with the ARE Geotronics format data produced by using the HydroLite data collection system.

LLH POSITION Latitude/Longitute/Height produced by three dimensional (RTK) GPS equipment.

LL POSITION Latitude/Longitute produced by two dimensional DGPS equipment, and used in conjunction with Tide data to obtain height information.

TIDE A file of Time/Height values used to obtain the height value from which the depth has been measured. The data could be found in Geotronics ARE files, NMEA data with DPT sentences and TID ascii tidal data files.

For further information on format specification see File Formats


Importing Generic ASCII data

Using the following menu options will enable the generic 'Formatted' input ...

This process will open a file and import data based on the information provided in the following dialog box ...

Data Type

The user must specify one of the four data types the import file contains, if more than one type is contained in the file then it must be imported using a separate sequence.

Column Positions

Each line of ASCII data input is first parsed and all non-numeric data converted to space. Then the required parameter is selected from the data using the position information (0 implies the parameter is not present).

Format

The user may specify a description of the format and then 'Save' the file for future use, similarly if a Format file (.fmt) exists it may be reloaded using the 'Load' button


Exporting Data

The data calculated by the SonarLite is available for output in four processed ASCII file formats, these files contain data for all points &ldots;

Geotronics ARE format

ASCII data format

XYZ data format

DXF data format for CAD/DTP packages

These files are intended for processing and display by other software.

For further information on Exporting or on format specification see File Formats


Geotronics File Format

Each line in the output file represents a single timed data record and is terminated with a linefeed/carriage return pair. On each line the data is subdivided into sections each of which start with a key number followed by an ‘=’ followed by the section data. Each section is separated by a space, carriage return or Linefeed character. For convenience each point (group of sections representing a single point) are on a single line.

Example input data file TEST.ARE as below &ldots;.

51=1997.0728

5=3365 4=TRK 38=307112.223 37=143550.759 39=1.281 52=18.0002

5=3366 4=TRK 38=307111.698 37=143551.587 39=1.281 52=18.0004

5=3367 4=TRK 38=307111.422 37=143552.025 39=1.282 52=18.0005

5=3368 4=TRK 38=307111.184 37=143552.494 39=1.284 52=18.0006

5=3369 4=TRK 38=307110.983 37=143552.963 39=1.290 52=18.0007

5=3370 4=TRK 38=307110.891 37=143553.906 39=1.298 52=18.0009

Example output data file TESTO.ARE as below &ldots;.

51=1997.0728

5=0 4=D18.0000 37=0.00 38=0.00 39=0.00 42=0.00 75=0.00 52=18.0000

5=1 4=T18.0000 37=0.00 38=0.00 39=0.90 42=0.00 75=0.90 52=18.0000

5=2 4=D18.0500 37=0.00 38=0.00 39=0.60 42=0.20 75=0.80 52=18.0500

5=3 4=T18.0500 37=0.00 38=0.00 39=0.60 42=0.20 75=0.80 52=18.0500

5=4 4=D18.1000 37=0.00 38=0.00 39=0.30 42=0.40 75=0.70 52=18.1000

In the above example the following labels are used &ldots;

  4. = Point descriptor with code letter plus time

  5. = Point number

37 = Northing (y) Coordinate

38 = Easting (x) Coordinate

39 = Elevation (z) Coordinate

42 = Depth

51 = Date

52 = Time

75 = Tide


NMEA format

NMEA File Formats

NMEA (National Marine Electronics Association) is a format based on the NMEA standard version 2.1 dated 15/10/98. The software will read the following sentences &ldots;.

??GGA &ldots;&ldots;.. Global position fix UTC,Lat,Lon,H data collected as position

$??GLL &ldots;&ldots;.. Global position fix UTC,Lat,Lon,(h=0) data collected as position

$??ZDA &ldots;&ldots;.. Date and Time stamp to set date within data set

$??DPT &ldots;&ldots;.. Depth and/or Tide height to set Depth or Tide

Each single timed data event is represented by three NMEA sentences output on single lines and terminated with a linefeed/carriage return pair. The ‘talker’ ID used by the SonarLite device is ‘SD’ which represents a single channel echo sounder in the list of approved talker ID’s.

The general format of an NMEA sentence is as follows &ldots;

Each sentence is up to 72 characters in length

Spaces are not allowed within a sentence

Each sentence starts with a ‘$’ character

The start character is followed by a 2 character talker ID (‘SD’)

The talker ID is followed by a three character sentence type mnemonic

Each sentence contains a specified number of data fields which can be void

A sentence is terminated with the ‘*’ character followed by a checksum value

The checksum is the XOR product of all characters between ‘$’ and ‘*’

The checksum is always shown as two hexadecimal characters.

The sentence is terminated by a linefeed/carriage return pair

$SDZDA,hhmmss.00,dd,mm,yyyy,,*nn

hhmmss.00 = UNC time (decimal seconds not used)

yyyy = the year in the range 1984 to 2072

mm = the month in the range 1 to 12

dd = the day of month in the range 1 to 31

nn = calculated hexadecimal checksum

$SDDPT,x.xx,h.hh*nn

x.xx = Depth below transducer (1st return)

h.hh = Depth offset in meters

nn = calculated hexadecimal checksum

$SDAAM,,,,,e*nn

e= The event number when marker pressed

nn = calculated hexadecimal checksum

Several example data files are included &ldots;.

An example of data produced by the SonarLite instrument TEST.DPT &ldots;.

$SLZDA,182000.00,28,7,1997,0,0,*6F

$SLDPT,0.80,0.50*FF

$SLZDA,182500.00,28,7,1997,0,0,*6F

$SLDPT,1.00,0.40*FF

$SLZDA,183000.00,28,7,1997,0,0,*6F

$SLDPT,0.80,0.30*FF

$SLZDA,183500.00,28,7,1997,0,0,*6F

$SLDPT,0.60,0.20*FF

$SLZDA,184000.00,28,7,1997,0,0,*6F

$SLDPT,0.40,0.10*FF

An example of data produced by RTK GPS instruments TEST.GGA &ldots;.

$SLZDA,180000.00,28,7,1997,0,0,*6F

$SLGGA,180001.00,2841.00,N,00321.00,W,1,04,0.0,10.0,M,0.0,M,0.0,0*FF

$SLGGA,180101.00,2841.10,N,00321.10,W,1,04,0.0,11.0,M,0.0,M,0.0,0*FF

$SLGGA,180201.00,2841.20,N,00321.20,W,1,04,0.0,12.0,M,0.0,M,0.0,0*FF

$SLGGA,180301.00,2841.30,N,00321.30,W,1,04,0.0,13.0,M,0.0,M,0.0,0*FF

$SLGGA,180401.00,2841.40,N,00321.40,W,1,04,0.0,14.0,M,0.0,M,0.0,0*FF

$SLGGA,180501.00,2841.50,N,00321.50,W,1,04,0.0,15.0,M,0.0,M,0.0,0*FF

$SLGGA,180601.00,2841.60,N,00321.60,W,1,04,0.0,16.0,M,0.0,M,0.0,0*FF

An example of data produced by DGPS TEST.GLL &ldots;.

$SLZDA,180000.00,28,7,1997,0,0,*6F

$SLGLL,2841.00,N,00321.00,W,180001.00,A*FF

$SLGLL,2841.10,N,00321.10,W,180101.00,A*FF

$SLGLL,2841.20,N,00321.20,W,180201.00,A*FF

$SLGLL,2841.30,N,00321.30,W,180301.00,A*FF

$SLGLL,2841.40,N,00321.40,W,180401.00,A*FF

$SLGLL,2841.50,N,00321.50,W,180501.00,A*FF

$SLGLL,2841.60,N,00321.60,W,180601.00,A*FF

$SLGLL,2841.70,N,00321.70,W,180701.00,A*FF

$SLGLL,2841.80,N,00321.80,W,180801.00,A*FF


ASCII format

ASCII File Format

ASCII or text format data files are used to output processed data from the SonarXP program in a fixed format that can be used by other programs&ldots;

The column format is as below &ldots;

ID X Y Z Depth Tide Date Time

Example output file is TESTO.TXT &ldots;&ldots;.

L 101.6872833 3.2731000 30.00 7.98 0.00 1998 08 01 04 00 34

D 101.6872833 3.2731000 30.00 7.98 0.00 1998 08 01 04 00 34

D 101.6873250 3.2731000 30.00 7.57 0.00 1998 08 01 04 00 35

D 101.6874083 3.2731000 30.00 6.61 0.00 1998 08 01 04 00 37

D 101.6874083 3.2731000 30.00 6.56 0.00 1998 08 01 04 00 37

L 101.6874500 3.2731000 30.00 5.93 0.00 1998 08 01 04 00 38

D 101.6874500 3.2731000 30.00 5.93 0.00 1998 08 01 04 00 38

D 101.6874500 3.2731083 30.00 5.37 0.00 1998 08 01 04 00 39

D 101.6874500 3.2731250 30.00 5.31 0.00 1998 08 01 04 00 41

D 101.6874500 3.2731250 30.00 4.84 0.00 1998 08 01 04 00 41


Tide Format

Tide File Formats

The tide data file represents a simple format for importing tide and time data &ldots;

Each line represents a time and tide reading

Each line can have between 1 and 7 values to a line

Each value can be separated with whitespace (space comma tab)

The minimum line of one value is a tide value at the time increment of previous value

The maximum line is the following values in order YR MN DY HO MI SE TIDE

Partial lines are right justified so four values would be HO MI SE TIDE

On partial lines missing values are those seen on previous lines

Example data file of Tide data TEST.TID &ldots;

1997 7 28 17 30 0 -1.00

1997 7 28 17 33 0 -0.99

1997 7 28 17 36 0 -0.98

1997 7 28 17 39 0 -0.89

1997 7 28 17 42 0 -0.81

1997 7 28 17 45 0 -0.71

1997 7 28 17 48 0 -0.59

1997 7 28 17 51 0 -0.45

1997 7 28 17 54 0 -0.30

1997 7 28 17 57 0 -0.16

1997 7 28 18 0 0 0.00

1997 7 28 18 3 0 0.16

1997 7 28 18 6 0 0.30

The same data could also be implicitly written as &ldots;

1997 7 28 17 30 0 -1.00

33 0 -0.99

36 0 -0.98

39 0 -0.89

42 0 -0.81

45 0 -0.71

48 0 -0.59

51 0 -0.45

54 0 -0.30

57 0 -0.16

18 0 0 0.00

3 0 0.16

6 0 0.30


XYZ format

XYZ File Formats

XYZ format is a simple ASCII file containing X,Y,Z coordinates followed by a point descriptor built from the following point origin codes plus time &ldots;.

D = Depth data

E = Event data

P = Position data

T = Tide data

Example data file of XYZ data TESTO.XYZ &ldots;

307112.22 143550.75 0.86 P18.0002

307111.69 143551.58 0.86 D18.0004

307111.69 143551.58 0.86 P18.0004

307111.42 143552.02 0.86 P18.0005

307111.18 143552.49 0.87 D18.0006

307111.18 143552.49 0.87 P18.0006

307110.98 143552.96 0.88 P18.0006

307110.98 143553.27 0.88 D18.0007

307110.89 143553.90 0.88 D18.0009

307110.89 143553.90 0.88 P18.0009

307110.98 143554.84 0.87 D18.0011

307110.98 143554.84 0.87 P18.0011

307111.04 143555.34 0.88 D18.0012

307111.10 143555.83 0.88 P18.0013

307111.30 143556.15 0.88 D18.0014


 Leica RTK Format

The Leica RTK format allows the import of XYZ positions measured using a Real Time Kinematic GPS system. The format is in one of the following string formats …

$GPLLK,hhmmss.ss,ddmmyy,ee.ee,M,nn.nn,M,i,n,gg.gg,zz.zz,M*hh

$GPLLQ,hhmmss.ss,ddmmyy,ee.ee,M,nn.nn,M,i,n,gg.gg,zz.zz,M*hh

Where

$GPLLK or $GPLLQ = Line header

hhmmss.ss = Universal Coordinated Time

ddmmyy = Date (year 00 is 2000 implied)

ee.ee = Easting

M = Metric units

nn.nn = Northing

I = Quality (only 3 is RTK)

N = Number of satelites

gg.gg = Quality number

zz.zz = Z or reduced level value

Example data included in TEST.LLK …

$GPLLK,111050.00,100799,1000.00,M,9.00,M,3,12,99.99,100.10,M*hh

$GPLLK,111051.00,100799,1001.00,M,8.00,M,3,12,99.99,100.20,M*hh

$GPLLK,111052.00,100799,1002.00,M,7.00,M,3,12,99.99,100.30,M*hh

$GPLLK,111053.00,100799,1003.00,M,6.00,M,3,12,99.99,100.40,M*hh

$GPLLK,111054.00,100799,1004.00,M,5.00,M,3,12,99.99,100.50,M*hh

$GPLLK,111055.00,100799,1005.00,M,4.00,M,3,12,99.99,100.60,M*hh

$GPLLK,111056.00,100799,1006.00,M,3.00,M,3,12,99.99,100.70,M*hh

$GPLLK,111057.00,100799,1007.00,M,3.00,M,3,12,99.99,100.80,M*hh

$GPLLK,111058.00,100799,1008.00,M,4.00,M,3,12,99.99,100.90,M*hh

$GPLLK,111059.00,100799,1009.00,M,5.00,M,3,12,99.99,100.00,M*hh

$GPLLK,111100.00,100799,1008.00,M,6.00,M,3,12,99.99,100.90,M*hh

$GPLLK,111101.00,100799,1007.00,M,7.00,M,3,12,99.99,100.80,M*hh

$GPLLK,111102.00,100799,1006.00,M,8.00,M,3,12,99.99,100.70,M*hh

$GPLLK,111103.00,100799,1005.00,M,9.00,M,3,12,99.99,100.60,M*hh

$GPLLK,111104.00,100799,1004.00,M,5.00,M,3,12,99.99,100.50,M*hh

$GPLLK,111105.00,100799,1003.00,M,6.00,M,3,12,99.99,100.40,M*hh


 General Information

The SonarLite is designed to work with two types of coordinate systems :-

Planar – XYZ values based on a rectangular grid

Spherical – Latitude/Longitude measured at the earth’s surface

Transformation functions are provided to convert from the latter to the former system.


 Planar Coordinates

Planar coordinates or XYZ values as they are more commonly referred to have the following properties :-

  • The three components are normal to each other by 90 degrees

  • All three components are measured in the same scale and units

The prime reason that XYZ values are used is that they are orthoganal and can be plotted or drawn on a plane sheet of paper. The prime user requirement is that measurement calculations such as distance, area and volume can easily be made directly from the data or drawings.

UTM coordinates are planar XY values where Z is measured in the same units (meters) but independently of the plan (Lat/Lon) values. The assumption made in the transformation is that depths are measured vertically and the difference between their angle to a plane and normal to the ellipsoid has no significant effect on their value.

In some cases such as using a total station to collect the SonarLite position data then the user is making direct measurements in the planar grid system and no further transformations are required.


 Spherical Coordinates

The earth is not a flat surface (unless you are a member of the Flat Earth Society) and the coordinates used to measure position on its surface are :-

Latitude – Angle between position, center and equator.

Longitude – Angle between position, center and prime meridian (Greenwich).

Height – Distance above a pure ellipsoid at the same position.

The main problem with this form of measurement is agreeing the position of the center of the earth and the geometry of the ellipsoid to be used. In the case of GPS equipment this is defined by the WGS84 ellipsoid, a set of geometry parameters agreed as the World Geodetic Reference system in 1984.

When using GPS data the SonarXP software uses the following conventions :-

  • All values are converted to decimal degrees to seven significant digits.

  • North are positive Y values

  • South are negative Y values

  • East are positive X values

  • West are negative X values

When working with GPS the Z value is treated independently. If high precision GPS such as RTK equipment is used then the user can accept the height values as the data’s Z component from which all depths will be subtracted. If not selected then all height values are set to 0 on downloading and tidal and offset corrections need to be applied.


 Universal Transverse Mercator

The UTM system is a modification of the Transverse Mercator system (earths surface projected on to a cylinder touching the surface along the central meridian of each zone), the projection is also known as Gauss-Kruger or Gauss Conformal.

With UTM the ellipsoid is partitioned into 60 zones with a width of 6 degrees longitude each. A scale factor of 0.9996 is applied to the conformal coordinates in the plane. The reason for this factor is to avoid fairly large distortions in the outer areas of a zone. The factor gives two lines of projection intersection at +/-1.5 degrees from the central meridian, thus, distributing distortion evenly across the zone.

The zone numbering starts with Ml for the central meridian Longitude = 177deg W and continues with M2 for the central meridian Longitude = 171deg W. The normal Y offset is 500000 meters in the northern hemisphere and 10000000 meters in the southern hemisphere thus always giving positive coordinates. However, as this gives users working in the area of the Equator coordinate systems that keep jumping from North to South offsets the SonarXP transform allows negative southern coordinates.

The SonarXP transform decides which UTM zone to use based on the longitude of the centroid of the collected data even if some data cross between adjacent UTM zones.


 GPS to Local Grid

The SonarXP software provides functions to transform points from raw GPS (WGS84) Lat/Long values to local grid X/Y values. To accomplish this the software uses CONTROL points, these are points where both the local grid and WGS84 coordinates are known. These control points could be measured using accurate surveying equipment or the information could be provided by the national geodetic service of the country concerned, the closer these points are to the data collection boundaries the better the accuracy of the transformation.

The control point information is entered using the CONTROL ADD/EDIT function in the EDIT menu :-

When the user has entered three or more control points the data should be SAVED (there is no inverse transformation provided) and then the transformation APPLIED. The transformation is two stage, first it converts the lat/long points into UTM coordinates and then calculates a rotation and scaling factor to give the best fit to the local grid.

The adjustment employed is a least squares calculation based on variance measured at the centroid of the control point figure. This method honors the centroid and the overall geometry of the figure thus maintaining 2nd and 3rd order stability, this is of particular importance if the survey data collected is to be used in Area or Volume calculations.

To explain the principal the simple case of two control points are considered first as their raw unadjusted measured coordinates together with their known control value coordinates. In this example station a with coordinates of 0,0 and station b with relative coordinates at b of 70.6,70.6. The actual control values of a and b are given as A 1000,1000 and B 1000,900….

  1. Adjust the figure for centroid offset by moving a/b centroid to A/B centroid :-

  2. Adjust the figure for horizontal and vertical angle variance so that points a/b lay on the line A/B …..

  3. Adjust the figure for scale variance so points a/b are coincident with A/B ….

n.b. In the above example because there are only two control points there will be no errors calculated as the regression coefficients will resolve to unity.

The final transformation is a 2D solution and the Z component is treated separately by applying offsets and tidal corrections to the measured depth values, the height information from most GPS units is not reliable enough for use in surveying applications and is difficult to correlate with national vertical datums.


 Control Self-Testing

A feature is included in the Edit menu to self test any control points entered. The program first calculates the rotation and scaling coefficients and reports them :-

The program then cycles through each control point, calculates its coordinates using the transformation from its given GPS coordinates and reports the errors between its calculated and given coordinates :-

This feature helps the user to check the transformation is within reasonable limits of accuracy.


SV Adjustment

The adjustement is entered through the EDIT/OFFSET/DEPTH menu option

The user enters the required sound velocity value in the dialog box and all depth values are recalculated pro rata.


Speed of Sound

Speed of Sound in Water (SV or SoS)

The default Speed of Sound in Water(SoS) setting is 1500m/second. In practice this velocity value can vary due to several factors &ldots;

  • Water Temperature

  • Water Salinity

  • Water Turbidity

All of the above factors vary the density of the water in some way and effect the 'time of flight' of a pulse of ultrasound in water and hence the depth calculated from this time. The user can either measure the speed of sound in water by taking velocity profiles using a dedicated velocity measuring device or can use the static method in a known depth over a flat, firm base and the compare the measured value with the known depth.

The difference in Sound Velocity between warm fresh water and cold salt water is about +/-30m/Second which represents a change of depth of +/-2%, this must be viewed in context with typical depths of the survey, if a typical depth is 10m then the error could be about 20cm.


Query Position or Depth

By right clicking the mouse on either the top position screen or the bottom depth screen the magenta animation cursor will appear. This enable the user to select a depth in the bottom time series plot and see where this is in the position plot or visa versa see a position in the time series plot.


Position Checking

Animation

When the animation cursor, shown in magenta, is present the user can use the 'Animate' menu or its shortcut to see the cursor step through the data in sequence.

To vary the speed of animation use the 'Properties' dialog to set speed using the Animate slider control as below .


Connect and Download SonarLite Data

SonarLite Portable Echo Sounder

Connecting and Downloading SonarLite data

Connect the SonarLite device to the PC using the Serial Data cable provided then choose the ‘Connect’ icon from the instrument toolbar

The program will display the following Serial Port selection dialog box &ldots;

Select the serial port connected to the SonarLite device, there are no facilities to change the default communications port parameters of either 9600,n,8,1 or 4800,n,8,1(used with GPS and MDL laser).

If the software connects to the device the SonarLite will beep twice and display the following information box showing the current computer and sonarlite times and the time difference error between the two clocks &ldots;

When the data is downloaded the time error will be applied to the data to adjust the data to be in the same time frame as the computer.

To Download the data choose the download Icon [image] the display will the change and show the following dialog box

The software requires to know if the user wishes to use any detected GPS heights in the data. If not then all height values will be replaced with 0.0, this enables the user to use the GPS X/Y values which are normally OK but use for instance a tide gauge to determine the z values as the GPS height value may be unreliable.

As data is down loaded the following progress dialog box is displayed as the data is transferred from the SonarLite.


Editing Data

The user can edit the data points by using the tools available in the edit toolbar &ldots;

Zoom Window - Toolbar shortcut

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the new view to select.

Delete Points - Toolbar shortcut

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area surrounding points to be selected.

Undelete Points - Toolbar shortcut

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area surrounding points to be deselected.

Set Timeframe - Toolbar shortcut

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area to set the left and right timeframe limits.

Set Enquire - Toolbar shortcut

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the points within the area are to be displayed in a Listbox for further editing.

By selecting a single line and the EDIT button or double clicking the selected line the following edit dialog box will be presented

When selection is finished the program will reprocess the data, points that have been deleted will not be used in interpolation.


Using the patchtest

Using the SonarLite Patchtest Function

The SonarXP software includes a PatchTest calculation to help the user ascertain if there is any latency between the depth and positioning measurements. The procedure requires the user to have collected part of the data set in a particular way, with reference to the following drawing the data needs to have been collected &ldots;.

  • Along a line in opposite directions keeping as near as possible to the same line.(S>E>S).

  • The lines should run normal to contours of a well defined feature not along them.

  • The boat speed should be kept as slow and even as practical in both directions.

With the above data collected the user then selects the data within the SonarXP software using the ‘PatchTest’ button and dragging the cursor around the relevant data points. The software then performs a Moment calculation about the first point in the dataset and reports the following values in a dialog box &ldots;.

The values calculated are as follows &ldots;.

TIME (over) – The time between the first and last points selected

CONFIDENCE – The ratio of the sectional areas measured in the opposite directions, a value of 100% indicates that the measured areas are equal.

SPEED – The total distance covered point to point divided by the total time.

ERROR – The difference in Moments assuming the sectional areas are equal

ADJUSTMENT – The time adjustment in seconds to shift half of the ERROR at the calculated SPEED. The error is divided by two because it is assumed to be equal and opposite in both directions travelled.

IF THE ERROR IS TO BE APPLIED THEN THE USER NEEDS TO ENTER THE TIME OFFSET IN EITHER THE DEPTH OR POSITION OFFSET DIALOG BOX (See Edit Menu). Once applied the user should recheck the same dataset to ensure that the error has been applied to the correct component and with the correct sign.


Using SonarLite with GPS

Using the SonarLite with GPS

The SonarLite can be directly connected to a source of GPS data using its serial port. The instrument will recognize an incoming GGA string (NMEA format Lat/Long) and save it in memory with a time tag.

The following notes apply &ldots;

  • The SonarLite baud rate may have to be changed to 4800 baud to read the GPS data.

  • Only valid 3D differential data will be stored (condition number is 2 or greater).

  • The GPS should be set to output only GGA strings to prevent verbose data parsing.

  • The GPS should be set to output data no more frequently than once every second.

  • The SonarLite Depth data has precedence over GPS data (which may be lost).

  • The SonarLite baud rate may have to be changed back for communication with SonarXP software.

  • The PC terminal should not be connected at the same time as the GPS to prevent damage to RS232 ports.

The SonarXP software will recognize GPS coordinates and convert them into decimal degrees of Latitude and Longitude with East and North as positive values, West and South as negative values. The user should measure known local points if the points are to be transformed into local grid coordinates (see Edit menu). The user should also be aware that when exported the values remain as decimal degrees, not converted into the typical GPS form of degrees and decimal minutes following. The values are obvious in ASCII files as they are output with seven decimal places of accuracy.


SonarMite Data

The SonarMite Portable Echo Sounder

The SonarMite data is imported into SonarXP using the FILE/IMPORT/SONARMITE menu option.

The Ohmex SonarMite system includes the following data parameters ...

  • GPS Position

  • Depth

  • Heave

  • Pitch

  • Roll

The data is normally stored in a compact binary PC or PDA datafile with the .som file extension. Depending on the variant of SonarMite the HPR values may be set to NULL or even already applied to the depth value.


Applying HPR

Applying Heave Pitch and Roll

The default HPR model of the SonarMite is as below ...

The Pitch and Roll members can be inverted by the SonarMite user which will effect the Dx and Dy corrections.

COORDINATE CORRECTION

The Pitch and Roll angles are used to adjust the real coordinates of the measured position of the GPS antenna. The adjustment (Dx/Dy) is corrected for the heading of the vessel using current and last coordinates in the data set. Once applied the Dx/Dy values are added to the position on output, heave (Dz) is also added to the elevation of the point.

note: HPR adjustment is disabled if there is no Zoffset value (Antenna Height).


File Print command

 Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts

Toolbar:

Keys: CTRL+P

When printing the Plan window the program will scale the view to fit on the paper size and orientation selected in the Print Setup dialog box. If the window is the depth time series view then the following dialog box will appear:-

The user can enter a title which will appear on each sheet of paper, in addition the program will stretch the time series and print it over the number of pages selected. It is suggested the user views this output before printing using the Print Preview facilities.


Print dialog box

The following options allow you to specify how the document should be printed:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specify the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To boxes.
Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.


Printing Progress

Print Progress Dialog

The Printing dialog box is shown during the time that <<YourApp>> is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


File Print Preview command

 Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

See also the Print command


 Print Preview toolbar

The print preview toolbar offers you the following options:

Print

Bring up the print dialog box, to start a print job.

Next Page

Preview the next printed page.

Prev Page

Preview the previous printed page.

One Page / Two Page

Preview one or two printed pages at a time.

Zoom In

Take a closer look at the printed page.

Zoom Out

Take a larger look at the printed page.

Close

Return from print preview to the editing window.


File Print Setup command

 Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


Print Setup Dialog

Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


File Page Setup Command

 Page Setup command (File menu)

<< Write application-specific help here. >>


File Formats

The File Formats commands, will provide you assistance with the different file formats imported and exported by this application:

Geotronics Format | Explaination of the Geotronics File format read and written by this program.
NMEA Format | Explaination of the NMEA File format read and written by this program.
ASCII Format | Explaination of the ASCII File format written by this program.
Tide Format | Explaination of the Tide File format read by this program.
XYZ Format | Explaination of the XYZ File format written by this program.


File New command

 New command (File menu)

Use this command to create a new document in SonarXP.

You can open an existing document with the Open command.

Shortcuts

Toolbar:

Keys: CTRL+N


File Open command

 Open command (File menu)

Use this command to open an existing document in a new window

You can open an existing document with the Open Dialog Box.

AFX_HIDD_FILEOPEN

Shortcuts

Toolbar:

Keys: CTRL+O


File Open Dialog

File Open dialog box

The following options allow you to specify which file to open:

File Name

Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.

List Files of Type

Select the type of file you want to open:

Drives

Select the drive in which SonarXP stores the file that you want to open.

Directories

Select the directory in which SonarXP stores the file that you want to open.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


File Close command

 Close command (File menu)

Use this command to close all windows containing the active document. SonarXP suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, SonarXP displays the Save As dialog box and suggests that you name and save the document.

You can also close a document by using the Close icon on the document's window, as shown below:


File Save command

 Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, SonarXP displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.

Shortcuts

Toolbar:

Keys: CTRL+S


File Save As command

 Save As command (File menu)

Use this command to save and name the active document. SonarXP displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


Import Geotronics

Import Geotronics command (File menu)

Use this command to import position fix data in Geotronics ARE format files. Each data point consists of X,Y,Z and Time data. The date must also be at the top of the file and at each change in date.

For further information on this format specification see File Formats


Import NMEA

Import NMEA command (File menu)

Use this command to import position fix, time, tide or depth data. The program will find and interpret the following NMEA message strings (?=dont care) &ldots;

$??GGA &ldots;&ldots;.. Global position fix UTC,Lat,Lon,H data collected as position

$??GLL &ldots;&ldots;.. Global position fix UTC,Lat,Lon,(h=0) data collected as position

$??ZDA &ldots;&ldots;.. Date and Time stamp to set date within data set

$??DPT &ldots;&ldots;.. Depth and/or Tide height to set Depth or Tide

For further information on this format specification see File Formats


Import Tide

Import Tide command (File menu)

Use this command to import tide heights from an ASCII data file in the following format &ldots;

Each line represents a time and tide reading

Each line can have between 1 and 7 values to a line

Each value can be separated with whitespace (space comma tab)

The minimum line of one value is a tide value at the time increment of previous value

The maximum line is the following values in order YR MN DY HO MI SE TIDE

Partial lines are right justified so four values would be HO MI SE TIDE

On partial lines missing values are those seen on previous lines

The above format enables the data to be kept without repeating data such as year month etc. on every line in the file thus wasting file space.

For further information on this format specification see File Formats


Export Geotronics

Export Geotronics command (File menu)

Use this command to export processed data in the native Geotronics ARE format complete with depths and tides if selected.

For further information on Exporting or on this format specification see File Formats


Export ASCII

Export ASCII command (File menu)

Use this command to export processed data in a fixed format data file that can be used by other post processing software.

For further information on Exporting or on this format specification see File Formats


Export DXF

Export DXF command (File menu)

Use this command to export processed data in a DXF format data file that can be used by AutoCAD and other CAD processing software.

When the data is not GPS Lat/Long type data and only positions are selected for output the program will calculate and write speeds between position fixes on the drawing.

For further information on Exporting or on this format specification see File Formats


File Save As

File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name

Type a new filename to save a document with a different name. A filename can contain up to eight characters and an extension of up to three characters. SonarXP adds the extension you specify in the Save File As Type box.

Drives

Select the drive in which you want to store the document.

Directories

Select the directory in which you want to store the document.


File 1, 2, 3, 4 command

  1. 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


File Exit command

 Exit command (File menu)

Use this command to end your SonarXP session. You can also use the Close command on the application Control menu. SonarXP prompts you to save documents with unsaved changes.

Shortcuts

Mouse: Double-click the application's Control menu button.

Keys: ALT+F4


Edit Cut

Cut command (Edit menu)

Not implemented in this version

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys: CTRL+X


Edit Copy

Copy command (Edit menu)

Not implemented in this version

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys: CTRL+C


Edit Paste

Paste command (Edit menu)

Not implemented in this version

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.

Shortcuts

Toolbar:

Keys: CTRL+V


Edit Restore

Restore command (Edit menu)

Use this command to remove any data editing or TimeFrame selections made within the data and enable all data points.


Edit Add Transform

Add Transformation Points (Edit menu)

Use this command to add transformation points to the data set. Each point is a set of coordinates in local grid and GPS form for the same position in space. These values are then used to create a least squares fit to the given points and thus transform data from GPS in a Lat/Long format to a local grid.

Grid X Values – Enter the X cartesian grid values of the control point

Grid Y Values – Enter the X cartesian grid values of the control point

GPS Values – Enter the Latitude or Longitude values of the control point

Degrees – Enter decimal or integer degrees

Minutes – Enter decimal or integer minutes

Seconds – Enter decimal or integer seconds

Use this Point – Use to disable this point but not delete it

Notes:-

Latitude and Longitude values are commonly shown as a mixture of degrees and decimal minutes :-

3921.1234N

This would be entered as 39 Degrees 21.1234 Minutes in the Latitude box with Sphere set to N.

See also User Grid Transformation


Edit Transform Points

Edit Transformation Points (Edit menu)

Use this command to edit any previously entered transformation points to the data set. Each point is a set of coordinates in local grid and GPS form for the same position in space. These values are then used to create a least squares fit to the given points and thus transform data from GPS in a Lat/Long format to a local grid.

See also User Grid Transformation


Edit Transform Apply

Transformation Apply (Edit menu)

Use command to apply the previously entered control points to transform data from the GPS Lat/Long domain to a rectangular grid form. This command is only enabled when two or more control points have been entered.

See also User Grid Transformation


Edit Offset

Offset command (Edit menu)

Use this command invoke the offset Dialog box to adjust the following parameters &ldots;.

Position Offsets &ldots;

Time - Add +/- seconds to offset position(only) values in time

Easting(X) - Add a +/- offset to the Easting value

Northing(Y) - Add a +/- offset to the Northing value

Elevation(Z) - Add a +/- offset to the Elevation value

Depth Offsets &ldots;

Time - Add +/- seconds to offset Depth(only) values in time

Depth - Add a +/- offset to the Depth value

Tide Offsets &ldots;

Time - Add +/- seconds to offset Tide(only) values in time

Tide - Add a +/- offset to the Tide value

The following notes apply &ldots;.

The offsets are absolute so if you offset a value by 10 then offset it in a later process by 20 the actual offset is 20 not 30(cumulative).

To remove any offset set it to zero.

Value offsets are only accurate to two decimal places.

Time offsets are only accurate to the nearest integer second.

Offsets are only possible if the relevant data is present else the functions are disabled


View Toolbar command

 Toolbar command (View menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in SonarXP, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.


 Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in SonarXP,

To hide or display the Toolbar, choose Toolbar from the View menu (ALT, V, T).

Click To

Open a new document.

Open an existing document. SonarXP displays the Open dialog box, in which you can locate and open the desired file.

Save the active document or template with its current name. If you have not named the document, SonarXP displays the Save As dialog box.

Print the active document.

Remove selected data from the document and stores it on the clipboard.

Copy the selection to the clipboard.

Insert the contents of the clipboard at the insertion point.

Reverse the last editing. Note: You cannot undo some actions.

Go to the first record in the current selection.

Go to the previous record in the current selection.

Go to the next record in the current selection.

Go to the last record in the current selection.


View Status Bar Command

 Status Bar command (View menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


View Pan Up

Pan Up command (View menu)

Use this command to pan the display up 25% of the current view, only works if the display is zoomed and there is space to move the display.

Toolbar shortcut


View Pan Right

Pan Right command (View menu)

Use this command to pan the display right 25% of the current view, only works if the display is zoomed and there is space to move the display.

Toolbar shortcut


View Pan Down

Pan Down command (View menu)

Use this command to pan the display down 25% of the current view, only works if the display is zoomed and there is space to move the display.

Toolbar shortcut


View Pan Left

Pan Left command (View menu)

Use this command to pan the display left 25% of the current view, only works if the display is zoomed and there is space to move the display.

Toolbar shortcut


View Zoom Out

Zoom Out command (View menu)

Use this command to zoom the display out 25% of the current view, only works if the display is zoomed and there is space to move the display.

Toolbar shortcut


View Zoom Extents

Zoom Extents command (View menu)

Use this command to zoom the display out to the limits of the current data set.

Toolbar shortcut


View Dragmode Zoom

DragMode View command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the new view to select.

Toolbar shortcut


View Dragmode Delete

DragMode Delete command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area surrounding points to be selected.

Toolbar shortcut


View Dragmode UnDelete

DragMode Undelete command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area surrounding points to be deselected.

Toolbar shortcut


View Dragmode TimeFrame

DragMode TimeFrame command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the area to set the left and right timeframe limits.

Toolbar shortcut


View Dragmode Enquire

DragMode Enquire command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the points within the area are to be displayed in a Listbox for further editing.

Toolbar shortcut


View Dragmode Patchtest

DragMode PatchTest command (View menu)

When this command is used the icon will be set to enable the program to interpret any mouse drag boxes formed by dragging the mouse while holding down the right button as indicating the points within the area that are to be included in the Patch Test calculation.

Toolbar shortcut

The Patchtest command is only available when the Plan (Top Right) window pane is selected and the position data is not GPS Lat/Long type data (speeds cannot be calculated).


 Status Bar

The status bar is displayed at the bottom of the SonarXP window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Connect

Connect command (SonarLite menu)

Use this command to connect the SonarLite instrument to the computer using the serial (RS232) interface to communicate.

Toolbar shortcut

For further information see the Connect and Download details

n.b

This command is disabled when the SonarLite connection is made successfully.


Download

DownLoad command (SonarLite menu)

Use this command to download data stored on the SonarLite instrument to the computer using the serial (RS232) interface.

Toolbar shortcut

For further information see the Connect and Download details

n.b

This command is disabled unless the SonarLite is connected.


Command Help

Command Help command (SonarLite menu)

Use this command to retrieve Help information about using the SonarLite instrument commands from within the Terminal window.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected.

Typical screen display &ldots;.


Information

Information command (SonarLite menu)

Use this command to retrieve information about the SonarLite instrument settings such as the current memory usage, speed of sound setting etc.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected.

Typical screen display &ldots;.


Clear Display

Blank Screen command (SonarLite menu)

Use this command to clear the Terminal window area. Any data received by the terminal is cumulative and can only be cleared using this command.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected.


Kill Data

KillData command (SonarLite menu)

Use this command to reset the internal SonarLite instrument memory pointers to enable new data to be collected.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected and data has been downloaded.


System Reset

System Reset command (SonarLite menu)

Use this command to reset all the internal SonarLite parameters to their default values. e.g. Speed of Sound variable reset to 1500m/second.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected and data has been downloaded.


Set Time

Set Time command (SonarLite menu)

Use this command to set the internal SonarLite time to be the same as the PC to within 1 millisecond.

Toolbar shortcut

n.b

This command is disabled unless the SonarLite is connected and data has been downloaded.


Help Index

Index command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using SonarXP and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.


Using Help

Using Help command (Help menu)

Use this command for instructions about using Help.


About

About command (Help menu)

Use this command to display the copyright notice and version number of your copy of SonarXP.


Help Using Help Command

 Context Help command

Use the Context Help command to obtain help on some portion of SonarXP. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the SonarXP window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Keys: SHIFT+F1


Display Titlebar

Title Bar

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control-menu button

Document Control-menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


Scroll bars

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.


Size

Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

  1. Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

  2. Press a DIRECTION key to move the border.

  3. Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse: Drag the size bars at the corners or edges of the window.


Move

Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys: CTRL+F7


System Minimize Command

 Minimize command (application Control menu)

Use this command to reduce the SonarXP window to an icon.

Shortcut

Mouse: Click the minimize icon [image] on the title bar.

Keys: ALT+F9


Maximize

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse: Click the maximize icon [image] on the title bar; or double-click the title bar.

Keys: CTRL+F10 enlarges a document window.


Next Window

Next Window command (document Control menu)

Use this command to switch to the next open document window. SonarXP determines which window is next according to the order in which you opened the windows.

Shortcut

Keys: CTRL+F6


Previous Window

Previous Window command (document Control menu)

Use this command to switch to the previous open document window. SonarXP determines which window is previous according to the order in which you opened the windows.

Shortcut

Keys: SHIFT+CTRL+F6


Close Window

Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.

Shortcuts

Keys: CTRL+F4 closes a document window

ALT+F4 closes the SonarXP window or dialog box


Restore Window

Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


Swith Application

Switch to command (application Control menu)

Use this command to display a list of all open applications. Use this "Task List" to switch to or close an application on the list.

Shortcut

Keys: CTRL+ESC

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Select the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


The SonarXP display

The SonarXP Display area

The SonarXP software is presented as three window ‘pane’ areas as below

TERMINAL AREA – This area with its associated ‘Command’ bar area is used to type and receive commands directly from the SonarLite device. When the software is connected to the SonarLite instrument the Information pane will display TERMINAL:(on) when the area is selected.

GRAPHIC VIEW AREA (PLAN VIEW)– The topmost of the graphical view areas represent the data viewed as an X/Y plot from above. When the view is selected (by clicking with the cursor) the view will display a crosshair cursor and the current cursor coordinates will be shown in the left portion of the information pane at the bottom of the screen. The associated commands and settings are available from the ‘Editbar’ to the right of the display areas.

GRAPHIC VIEW AREA (SECTION VIEW)– The bottom most of the graphical view areas represent the data viewed as a time series of time and date versus absolute z value (elevation + tide – depth). When the view is selected (by clicking with the cursor) the view will display a crosshair cursor and the cursor time and z value will be shown in the left portion of the information pane at the bottom of the screen. The associated commands and settings are available from the ‘Editbar’ to the right of the display areas.

SPLITTER WINDOW FEATURES – The individual window panes can be resized by dragging the divider bar between the windows.

TOOLBAR FEATURES – The individual toolbars can be resized, dragged or deleted to help facilitate viewing and editing.

INFORMATION PANE – A small information pane is shown within the status bar telling the user how many depth, position, event and tide nodes are present and how many are marked as deleted form the set.


Export data to files

Export to Data files

The SonarXP software can export data to a wide variety of data file formats. When exporting the following dialog box will appear &ldots;

POSITIONS – Will export all position data (metric or GPS) with an interpolated depth and tide from the nearest values found in the dataset.

DEPTHS – Will export all depth data with an interpolated position and tide from the nearest values found in the dataset.

TIDE – Will export all tide data with an interpolated position and depth from the nearest values found in the dataset.

All interpolation is by linear adjustment based on time difference.


 EDIT PROPERTIES

The edit properties menu allows the user to set text and box size properties when the drawing views are selected :-

Or if the SonarLite Terminal view is selected and the SonarLite is connected the following properties can be set on the SonarLite instrument :-

Sound Velocity – Set the speed of sound in m/sec

Beeper Volume – Set volume of Sonarlite beep (0=off 255=high)

LCD Contrast – Set darkness of LCD (0=black)

GPS Quality threshold – 0=Any 1=Raw 2=DGPS

GPS Baud – Set to either 9600 or 4800

Data Format – Select one of 7 data formats

Offset – Set offset value to add to all depths

Log On/Off – enable/disable internal data logging

Note:-

The user should read the SonarLite manual before changing any of the above values.


 FILE IMPORT SONAR98

Import data stored/exported as raw ASCII output :-